Package it.ernytech.tdlib

## Class Response

- java.lang.Object
- - it.ernytech.tdlib.Response

    public class Response
    extends java.lang.Object

A response to a request, or an incoming update from TDLib.

### Constructor Summary

Constructors
`Response​(long id, TdApi.Object object)` Creates a response with eventId and object, do not create answers explicitly!

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getId()` Get TDLib request identifier.
`TdApi.Object` `getObject()` Get TDLib API object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Response

    public Response​(long id,
                    TdApi.Object object)

Creates a response with eventId and object, do not create answers explicitly! you must receive the reply through a client.

Parameters:
  `id` - TDLib request identifier, which corresponds to the response or 0 for incoming updates from TDLib.
  `object` - TDLib API object representing a response to a TDLib request or an incoming update.

### Method Detail

#### getId

    public long getId()

Get TDLib request identifier.

Returns:
  TDLib request identifier, which corresponds to the response or 0 for incoming updates from TDLib.

#### getObject

    public TdApi.Object getObject()

Get TDLib API object.

Returns:
  TDLib API object representing a response to a TDLib request or an incoming update.